<?php
$api_url = 'http://app.linkresearchtools.com/toolkit/api.php';

$request_data = array(
  'api_key' => 'your-api-key',
  'action' => 'get_data',
  'report_id' => 28448
);

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $api_url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_POSTFIELDS, $request_data);
$json = curl_exec($ch);
curl_close($ch);

if ($json !== false) {
  $result = json_decode($json);
  // echo '<pre>'; var_dump($result); echo '</pre>';

  if ($result->status != 100) {
    echo 'Oops, got an error response: ' . $result->message;
  }
  else if ($result->report->status == 'New' || $result->report->status == 'Queued') {
    echo 'Waiting for report to be started.';
  }
  else if ($result->report->status == 'In Progress') {
    $overall = $result->report->progress_overall;
    $percent_done = !$overall ? 0 : round($result->report->progress_done/$overall*100);
    echo 'Processing: ' . $percent_done . '% done.';
  }
  else if ($result->report->status == 'Done' || $result->report->status == 'Terminated') {
    $pages = $result->report->pages;
    // echo '<pre>'; var_dump($pages); echo '</pre>';
    echo '<table><tr><td>'. join('</td><td>', $pages->columns) .'</td></tr>';
    foreach($pages->data as $row) {
      echo '<tr><td>'. join('</td><td>', (array)$row) .'</td></tr>';
    }
    echo '</table>';
  }
}
else {
  echo 'Oops, got an invalid response.';
}