require 'rubygems'
require 'curb'
require 'json'

api_url = 'http://app.linkresearchtools.com/toolkit/api.php'

start_request_data = [Curl::PostField.content('api_key', 'your-api-key'),
  Curl::PostField.content('urls[0]', 'http://www.google.com/'),
  Curl::PostField.content('urls[1]', 'http://www.yahoo.com/'),
  Curl::PostField.content('urls[2]', 'http://www.cemper.com/'),
  Curl::PostField.content('urls[3]', 'http://www.mattcutts.com/blog/'),
  Curl::PostField.content('values[0]', 'Power*Trust'),
  Curl::PostField.content('values[1]', 'KwDomain'),
  Curl::PostField.content('values[2]', 'Theme'),
  Curl::PostField.content('title', 'Ruby API Report'),
  Curl::PostField.content('project', 'Ruby Reports'),
  Curl::PostField.content('action', 'start_report')]

res = Curl::Easy.http_post(api_url, *start_request_data)
case res.response_code
when 200
  puts "Got result: #{res.body_str}"
  result = JSON.parse(res.body_str)
  case result['status']
  when 100
    puts "Successsfully created report '#{result['report']['title']}' (#{result['report']['report_id']})"
  else
    puts "Oops, got an error creating the report"
    puts "(#{result['status']}) #{result['message']}"
  end
else
  puts "Oops, got an error response"
end
